DEV Community

loading...

Discussion on: NeoVim como IDE

Collapse
andreneji profile image
André Lima • Edited

[coc.nvim] Error on execute python script: request error nvim_comand - Vim(pyxfile):E319: No "python3" provider found.
Ao inicciar o NVIM é apresentada essa msg de erro.

No win10...
Instalei o python 2.7.18 e 3.9.1, e configurei o path nos dois.
Pelo erro apresentado parece que o NVIM não encontra os executaveis, é isso?
Por favor, como corrigo?

A fonte abaixo eu consigo instalar no win?
let g:ale_sign_error = '✘'
let g:ale_sign_warning = '⚠'

Collapse
thespanishguy profile image
Luis Enrique Author • Edited

Você esta tendo erro na hora de adicionar o host do python ?
let g:python3_host_prog='/usr/bin/python3' se for, tente dar uma olhada aqui

Sobre os símbolos do ale, acredito que sim, só se tiver usando o coc junto terá que integrar os dois

Collapse
andreneji profile image
André Lima • Edited

Failed to load python3 host.

Agora apresenta essa msg após Incluir:
let g:python3_host_prog = 'C:\Program Files\Python39\python3.exe'

Thread Thread
thespanishguy profile image
Luis Enrique Author • Edited

Você instalou o pynvim ? python3 -m pip install pynvim
Se sim, não sei o que possa ser não tentei configurar no windows ainda.
Andei pesquisando e achei esse gist mas não tenho certeza de que irá funcionar

Thread Thread
andreneji profile image
André Lima

Deu certo agora!!!

Declarei a variável global apontando p/ o diretório correto e os dois comandos de upgrade:

let g:python3_host_prog = 'C:\Program Files\Python39\python3.exe'
python3 -m pip install --user --upgrade pynvim
python -m pip install --user --upgrade pynvim

Comentei a linha:
let g:python3_host_prog = 'C:\Program Files\Python39\python3.exe'
e continou ok ainda.

O unico erro apresentado agora é p/ o ruby. Estou pesquisando.

Segue o :checkhealth

health#coc#check

  • OK: Environment check passed

  • OK: Javascript bundle build/index.js found

  • OK: Service started

health#nvim#check

Configuration

  • OK: no issues found

Performance

  • OK: Build type: RelWithDebInfo

Remote Plugins

  • OK: Up to date

health#provider#check

Clipboard (optional)

  • OK: Clipboard tool found: win32yank

Python 2 provider (optional)

  • INFO: g:python_host_prog is not set. Searching for python in the environment.
  • INFO: Multiple python executables found. Set g:python_host_prog to avoid surprises.
  • INFO: Executable: C:\Python27\python.EXE
  • INFO: Other python executable: C:/Python27/python
  • INFO: Other python executable: /python
  • INFO: Python version: 2.7.18
  • INFO: pynvim version: 0.4.2
  • OK: Latest pynvim is installed.

Python 3 provider (optional)

  • INFO: Using: g:python3_host_prog = "C:\Program Files\Python39\python3.exe"
  • INFO: Executable: C:\Program Files\Python39\python3.exe
  • INFO: Python version: 3.9.1
  • INFO: pynvim version: 0.4.2
  • OK: Latest pynvim is installed.

Ruby provider (optional)

  • INFO: Ruby: ruby 2.7.2p137 (2020-10-01 revision 5445e04352) [x64-mingw32]
  • WARNING: neovim-ruby-host not found.
    • ADVICE:
      • Run gem install neovim to ensure the neovim RubyGem is installed.
      • Run gem environment to ensure the gem bin directory is in $PATH.
      • If you are using rvm/rbenv/chruby, try "rehashing".
      • See :help |g:ruby_host_prog| for non-standard gem installations.

Node.js provider (optional)

  • INFO: Node.js: v14.15.3
  • INFO: Neovim node.js host: C:\Users\anlima\AppData\Roaming\npm\node_modules/neovim/bin/cli.js
Thread Thread
thespanishguy profile image
Luis Enrique Author

Boa ! Já tentou rodar gem install neovim ? Acredito que o procedimento seja o mesmo, declarar o path do executavel do ruby: let g:ruby_host_prog='path/to/exec'

Thread Thread
andreneji profile image
André Lima

Tentei. Quando tento executar o gem install neovim, dá erro tbm.

PS C:\Users\anlima> gem install neovim
ERROR: Could not find a valid gem 'neovim' (>= 0), here is why:
Unable to download data from rubygems.org/ - timed out (rubygems.org/specs.4.8.gz)

Forem Open with the Forem app